Retrieve an FQDN authentication
Retrieves the details of an existing FQDN authentication strategy for a specific FQDN connection.
GET
/
fqdn_connections
/
{fqdn_connection_id}
/
fqdn_authentication
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.fqdnConnections.fqdnAuthentication.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.fqdn_connections.fqdn_authentication.list(
"fqdn_connection_id",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
fqdnAuthentication, err := client.FqdnConnections.FqdnAuthentication.List(
context.TODO(),
"fqdn_connection_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", fqdnAuthentication.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.fqdnConnections().fqdnAuthentication().list("fqdn_connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.fqdn_connections.fqdn_authentication.list("fqdn_connection_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->fqdnConnections->fqdnAuthentication->list(
'fqdn_connection_id',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx fqdn-connections:fqdn-authentication list \
--api-key 'My API Key' \
--fqdn-connection-id fqdn_connection_idcurl --request GET \
--url https://api.telnyx.com/v2/fqdn_connections/{fqdn_connection_id}/fqdn_authentication \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "1293384261075731499",
"record_type": "fqdn_authentication",
"connection_id": "1293384261075731499",
"user_name": "<string>",
"password": "<string>",
"ip_authentication_method": "token",
"fqdn_outbound_authentication": "ip-authentication",
"webhook_url": "<string>",
"failover_url": "<string>",
"microsoft_teams_sbc": false,
"txt_name": "<string>",
"txt_value": "<string>",
"txt_ttl": 123
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "10010",
"title": "Not authorized",
"detail": "You are not authorized to access the requested resource.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10010"
},
"source": {
"pointer": "/"
}
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
},
"source": {
"pointer": "/"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the FQDN connection.
Response
Successful response with details about the FQDN authentication.
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.fqdnConnections.fqdnAuthentication.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.fqdn_connections.fqdn_authentication.list(
"fqdn_connection_id",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
fqdnAuthentication, err := client.FqdnConnections.FqdnAuthentication.List(
context.TODO(),
"fqdn_connection_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", fqdnAuthentication.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.fqdnConnections().fqdnAuthentication().list("fqdn_connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.fqdn_connections.fqdn_authentication.list("fqdn_connection_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->fqdnConnections->fqdnAuthentication->list(
'fqdn_connection_id',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx fqdn-connections:fqdn-authentication list \
--api-key 'My API Key' \
--fqdn-connection-id fqdn_connection_idcurl --request GET \
--url https://api.telnyx.com/v2/fqdn_connections/{fqdn_connection_id}/fqdn_authentication \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "1293384261075731499",
"record_type": "fqdn_authentication",
"connection_id": "1293384261075731499",
"user_name": "<string>",
"password": "<string>",
"ip_authentication_method": "token",
"fqdn_outbound_authentication": "ip-authentication",
"webhook_url": "<string>",
"failover_url": "<string>",
"microsoft_teams_sbc": false,
"txt_name": "<string>",
"txt_value": "<string>",
"txt_ttl": 123
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "10010",
"title": "Not authorized",
"detail": "You are not authorized to access the requested resource.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10010"
},
"source": {
"pointer": "/"
}
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
},
"source": {
"pointer": "/"
}
}
]
}